commit:     6481782a4cc9edb88224b6e3771d8c25bb6f514a
Author:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 26 01:17:31 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Fri Oct 26 01:17:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6481782a

dev-util/vint: drop dev-python/pytest-cov dep

Test coverage counting is spurious in the context of gentoo testing. We
don't need that dep.

Bug: https://bugs.gentoo.org/662034
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-util/vint/vint-0.3.19.ebuild | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/dev-util/vint/vint-0.3.19.ebuild b/dev-util/vint/vint-0.3.19.ebuild
index 1e5cc17ad27..f4c45248021 100644
--- a/dev-util/vint/vint-0.3.19.ebuild
+++ b/dev-util/vint/vint-0.3.19.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -27,13 +27,11 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}
        test? (
-               >=dev-python/coverage-3.7.1[${PYTHON_USEDEP}]
                >=dev-python/pytest-3.3.2[${PYTHON_USEDEP}]
-               >=dev-python/pytest-cov-2.5.1[${PYTHON_USEDEP}]
                $(python_gen_cond_dep 
'>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' python2_7)
        )
 "
 
 python_test() {
-       py.test -v || die "Test suite failed with ${EPYTHON}"
+       pytest -vv || die "Test suite failed with ${EPYTHON}"
 }

Reply via email to